Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterProblemManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterProblemManager

public class RegisterProblemManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterProblemManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addGroup(int registerItemID, int groupID)`
  `void`
  `clearProblemHistory(int id)`
  `void`
  `deleteProblem(int id)`
  `List<RegisterProblem>`
  `getActiveProblemList(int period)`
  Deprecated.
  `List<RegisterProblem>`
  `getActiveProblemList(int periodInDays, List<Integer> statusList, List<Integer> groupIdList, List<Integer> urgencyList, int limit)`
  `List<RegisterProblem>`
  `getActiveProblemListForContract(int contractId)`
  `RegisterProblem`
  `getHistoryEntry(int id, long time)`
  `List<RegisterProblem>`
  `getNotClosedProblems()`
  `RegisterProblem`
  `getProblemByID(int id)`
  `List<RegisterProblem>`
  `getProblemHistory(int id)`
  `List<String>`
  `getProblemUsedGroups(int registerItemID)`
  `List<Integer>`
  `getRegisterProblemIds(List<RegisterProblem> registerProblemList)`
  `static List<IdTitle>`
  `getStatusList(String values)`
  `static Map<Integer,String>`
  `getStatusMap(String values)`
  `HashMap<Integer,String>`
  `getSubjectsMap()`
  `void`
  `loadExecutorList(List<RegisterProblem> registerProblemList)`
  `void`
  `loadRegisterCall(List<RegisterProblem> registerProblemList)`
  загрузка звонков
  `void`
  `searchList(SearchResult<RegisterProblem> searchResult, Period[] periods)`
  `void`
  `updateProblem(RegisterProblem problem, int userId)`
  `void`
  `updateProblemExecutors(RegisterProblem registerProblem, String groupExecutors)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterProblemManager

    public RegisterProblemManager(Connection con)

- ## Method Details

  - ### updateProblem

    public void updateProblem(RegisterProblem problem, int userId)
    Parameters:
      `problem` -

  - ### clearProblemHistory

    public void clearProblemHistory(int id) throws Exception
    Throws:
      `Exception`

  - ### getProblemHistory

    public List<RegisterProblem> getProblemHistory(int id) throws Exception
    Throws:
      `Exception`

  - ### getHistoryEntry

    public RegisterProblem getHistoryEntry(int id, long time) throws Exception
    Throws:
      `Exception`

  - ### updateProblemExecutors

    public void updateProblemExecutors(RegisterProblem registerProblem, String groupExecutors) throws Exception
    Throws:
      `Exception`

  - ### deleteProblem

    public void deleteProblem(int id) throws Exception
    Throws:
      `Exception`

  - ### getProblemByID

    public RegisterProblem getProblemByID(int id) throws Exception
    Throws:
      `Exception`

  - ### getNotClosedProblems

    public List<RegisterProblem> getNotClosedProblems() throws Exception
    Throws:
      `Exception`

  - ### searchList

    public void searchList(SearchResult<RegisterProblem> searchResult, Period[] periods)

  - ### getActiveProblemList

    @Deprecated public List<RegisterProblem> getActiveProblemList(int period)
    Deprecated.
    Parameters:
      `period` -
    Returns:

  - ### getActiveProblemListForContract

    public List<RegisterProblem> getActiveProblemListForContract(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getActiveProblemList

    public List<RegisterProblem> getActiveProblemList(int periodInDays, List<Integer> statusList, List<Integer> groupIdList, List<Integer> urgencyList, int limit)

  - ### loadRegisterCall

    public void loadRegisterCall(List<RegisterProblem> registerProblemList) throws Exception
    загрузка звонков
    Throws:
      `Exception`

  - ### loadExecutorList

    public void loadExecutorList(List<RegisterProblem> registerProblemList)

  - ### getRegisterProblemIds

    public List<Integer> getRegisterProblemIds(List<RegisterProblem> registerProblemList)

  - ### getSubjectsMap

    public HashMap<Integer,String> getSubjectsMap() throws Exception
    Throws:
      `Exception`

  - ### addGroup

    public void addGroup(int registerItemID, int groupID) throws Exception
    Throws:
      `Exception`

  - ### getProblemUsedGroups

    public List<String> getProblemUsedGroups(int registerItemID) throws Exception
    Throws:
      `Exception`

  - ### getStatusMap

    public static Map<Integer,String> getStatusMap(String values)

  - ### getStatusList

    public static List<IdTitle> getStatusList(String values)